CH_SKIP(3)

EXPERIMENTAL_FUNC
ch_skip - Skip bytes in a channel, seeking if possible.

SYNOPSIS
#include <karma_ch.h>

flag ch_skip

(Channel channel, uaddr num_bytes)

DESCRIPTION
This function will skip a specified number of bytes in a channel, jumping to the desired point without reading (if possible). If the channel does not support seeking (jumping), then the specified number of bytes are read from the channel.

channel
    The channel object.

num_bytes
    The number of bytes to skip.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
Seeking may change the write pointer. Use <-ch_drain-> instead if the write pointer must be left untouched.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/